Including non-https version of Google jsapi causing SSL warning

03/25/2011 11:41 PM - Cody Robertson

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The dashboard page points to a non-https version of the Google jsapi which causes an SSL warning if you're using https.

It appears they include an https version which should probably be used by default: https://www.google.com/jsapi

[root@priv foreman]# grep -ri 'jsapi' ./

./app/helpers/application_helper.rb:      "<script src=http://www.google.com/jsapi></script>" 

./vendor/plugins/google_visualr/README.rdoc:  <script src='http://www.google.com/jsapi'></script>

Associated revisions

Revision b55bbb7f - 03/27/2011 03:55 AM - Ohad Levy

fixes #793 - Including non-https version of Google jsapi causing SSL warning

History

#1 - 03/27/2011 03:55 AM - Ohad Levy

- Target version set to 0.2

#2 - 03/27/2011 03:55 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset b55bbb7fd727b44ef797da7ea7b50c9bc155c33b.

#3 - 03/27/2011 03:56 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
